RCUR

Payments

Create payment

post https://rcur.app/api/v2/payments

Requires your API key as Authorization: Bearer <key>. See authentication.

Request body

application/json

Payment data

  • amount number required

    Payment amount

  • currency string required

    Currency

    One of AED AUD BGN BRL CAD CHF CZK DKK EUR GBP HKD HUF ILS ISK JPY MXN MYR NOK NZD PHP PLN RON SEK SGD THB TWD USD ZAR

  • method string

    Payment method

    One of ideal creditcard bancontact sofort eps giropay belfius kbc banktransfer

  • mollie_customer_id string required

    Mollie customer ID

  • description string required

    Payment description

  • redirect_url string required

    URL to redirect after payment

  • webhook_url string

    Webhook URL for status updates

  • mollie_profile_id string

    Mollie profile ID

Responses

200 Payment created successfully PaymentCreated object
  • id string required
  • mollie_payment_id string required
  • status string required

    One of open pending

  • mollie_checkout_url string required
422 Validation error ValidationError object
  • status integer required
  • error string required
  • fields object
Try it Send this request with your own API key

Requests run against the live data of the organization that owns the key. This POST request changes that data.